<div class="modal-header">
    <button type="button" class="close" (click)="close()">
        &times;
      </button>
    <h4 class="modal-title">Tạo Vai Trò</h4>
</div>
<div class="modal-body">
    <form class="form-horizontal form-style" [formGroup]="Form" novalidate>
        <div class="row">
            <div class="col-md-6">
                <custom-input [label]="'Mã'">
                    <input inputRef class="form-control" formControlName="code" type="text"
                        [attr.disabled]="disabled ? '' : null" />
                </custom-input>
            </div>
            <div class="col-md-6">
                <custom-input [label]="'Tên vai trò'">
                    <input inputRef class="form-control" formControlName="name" type="text"
                        [attr.disabled]="disabled ? '' : null" />
                </custom-input>
            </div>
            <div class="col-md-6">
                <custom-input [label]="'Cấp độ'">
                    <input inputRef class="form-control" formControlName="role_level" type="text"
                        [attr.disabled]="disabled ? '' : null" />
                </custom-input>
            </div>
            <div class="col-md-6">
                <custom-input [label]="'Mô tả'">
                    <input inputRef class="form-control" formControlName="description" type="text"
                        [attr.disabled]="disabled ? '' : null" />
                </custom-input>
            </div>
        </div>
        <div class="form-group form-group-sm">
            <label>Trạng thái</label>
            <ui-switch class="toogle" formControlName="is_active"></ui-switch>
        </div>
    </form>
</div>
<div class="modal-footer text-right">
    <button type="button" class="btn btn-default" (click)="close()">
        Đóng
      </button>
    <button type="button" (click)="save()" class="btn btn-primary" [disabled]="disabled || Form.invalid">
        {{ labelButtonSave }}
    </button>
</div>